Get player by playlist ID
Gets player data related to a playlist
curl --request GET \
--url https://api.beyondwords.io/v1/projects/{project_id}/player/by_playlist_id/{id}{
"language": "en_US",
"content": [
{
"id": "52acb1c0-9681-4138-9d74-1b7234f80922",
"title": "Content title",
"type": "manual_segment",
"body": "Body text for uploaded audio content",
"source_id": "example-source-id",
"source_url": "https://example.com/my-article",
"author": "John Smith",
"image_url": "https://example.com/image.jpeg",
"is_copy": false,
"language": "en_GB",
"audio": [
{
"id": 123,
"content_type": "audio/mpeg",
"url": "https://example.com/audio.mp3",
"duration": 10000
}
],
"video": [
{
"id": 456,
"content_type": "video/mp4",
"url": "https://example.com/video.mp4",
"duration": 10000
}
],
"audio_with_intro_outro": [
{
"id": 321,
"content_type": "audio/mpeg",
"url": "https://example.com/audio_with_intro_outro.mp3",
"duration": 12000
}
],
"summarization": {
"audio": [
{
"id": 789,
"content_type": "audio/mpeg",
"url": "https://example.com/summary_audio.mp3",
"duration": 5000
}
],
"video": [
{
"id": 790,
"content_type": "video/mp4",
"url": "https://example.com/summary_video.mp4",
"duration": 5000
}
]
},
"segments": [
{
"marker": "title-marker",
"start_time": 3,
"duration": 2997
},
{
"marker": "first-paragraph-marker",
"start_time": 3000,
"duration": 7000
}
],
"ads_enabled": true,
"title_voice_id": 1,
"summary_voice_id": 2,
"body_voice_id": 3,
"title_enabled": true,
"body_enabled": true,
"summary_enabled": true,
"summary_title_enabled": false,
"background_track": {
"enabled": true,
"track": {
"id": 12,
"name": "Morning Breeze",
"custom": false,
"volume": 35,
"url": "https://example.com/background-track.mp3"
}
},
"feature_image": {
"url": "https://example.com/feature-image.jpeg",
"video_settings": {
"enabled": true,
"crop_coordinates": {
"16:9": [
0,
0,
1920,
1080
],
"9:16": [
0,
0,
1080,
1920
]
}
}
},
"feature_video": {
"url": "https://example.com/feature-video.mp4",
"video_settings": {
"enabled": true,
"volume": 80,
"crop_coordinates": {
"16:9": [
0,
0,
1920,
1080
],
"9:16": [
0,
0,
1080,
1920
]
}
}
}
}
],
"settings": {
"player_style": "standard",
"player_title": "My project",
"call_to_action": "Listen to this article",
"image_url": "https://example.com/image.jpeg",
"theme": "auto",
"dark_theme": {
"text_color": "#323232",
"background_color": "#FAFAFA",
"icon_color": "#323232"
},
"light_theme": {
"text_color": "#323232",
"background_color": "#FAFAFA",
"icon_color": "#323232"
},
"video_theme": {
"text_color": "#323232",
"background_color": "#FAFAFA",
"icon_color": "#323232"
},
"title_enabled": false,
"image_enabled": false,
"persistent_ad_image": false,
"widget_style": "standard",
"widget_position": "auto",
"segment_playback_enabled": true,
"segment_highlights_enabled": true,
"skip_button_style": "seconds-15-30",
"intro_url": "https://example.com/intro.mp3",
"outro_url": "https://example.com/outro.mp3",
"intro_outro_enabled": false,
"download_button_enabled": false,
"logo_icon_enabled": true,
"continuous_playback_mode": "none"
},
"video_settings": {
"enabled": true,
"logo_image_url": "https://example.com/logo.png",
"logo_image_position": "top-right",
"background_color": "white",
"text_transform": "none",
"text_background_color": "rgba(255, 255, 255, 0.88)",
"text_background_radius": 8,
"text_color": "black",
"text_secondary_color": null,
"text_highlight_color": "#0cf",
"text_highlight_secondary_color": null,
"text_highlight_background_color": "linear-gradient(to right, pink, purple)",
"text_highlight_secondary_background_color": null,
"text_highlight_background_radius": 8,
"text_shadow": "3px 3px 3px linear-gradient(to right, red, blue)",
"text_highlight_shadow": null,
"text_stroke": "0px transparent outside",
"text_highlight_stroke": null,
"text_fonts": [
"https://example.com/my-custom-font.ttf",
"Inter-Medium.ttf",
"fallbacks"
],
"text_font_size": 64,
"text_width": 0.8,
"text_lines": null,
"text_words": null,
"text_horizontal_align": "start",
"text_vertical_align": "end",
"text_horizontal_offset": 0,
"text_vertical_offset": 0,
"text_animation": "karaoke",
"entrance_animation": "fade",
"exit_animation": "fade",
"waveform_color": "linear-gradient(to right, red, blue)",
"content_image_enabled": true,
"playback_mode": "cycle",
"cycle_time": 15000
},
"playlist": {
"id": 555,
"title": "My playlist",
"type": "manual",
"image_url": "https://example.com/image.jpeg",
"content_limit": 25
},
"ads": [
{
"id": 7,
"type": "custom",
"placement": "pre-roll",
"vast_url": null,
"title": "Ad title",
"click_through_url": "https://example.com/click-through-url",
"media_url": "https://example.com/advert.mp3",
"media": [
{
"id": 100,
"content_type": "audio/mpeg",
"url": "https://example.com/transcoded_advert.mp3",
"duration": 15000
}
],
"theme": null,
"dark_theme": null,
"light_theme": null
}
]
}Headers
Path Parameters
The numeric ID of your project
The numeric ID of your playlist
Query Parameters
Whether the request originated from the preview page
audio, video Response
OK
Content that has been filtered to published=true and status=processed. See the swagger schema for /v1/content for more information.
Show child attributes
Show child attributes
Player settings for the project of the first content item. See the swagger schema for /v1/player_settings for more information.
Show child attributes
Show child attributes
Video settings for the project of the first content item. See the swagger schema for /v1/video_settings for more information.
Show child attributes
Show child attributes
Playlist data, if applicable for the endpoint. Endpoint /v1/player/content/{id} returns null. Endpoint /v1/player/playlist/{id} returns data of the playlist. Endpoint /v1/player/playlist returns data of the first playlist (if any). See the swagger schema for /v1/playlist for more information.
Show child attributes
Show child attributes
Ads that have been filtered to enabled=true and time_range overlaps the current time. See the swagger schema for /v1/ads for more information.
Show child attributes
Show child attributes
Was this page helpful?
curl --request GET \
--url https://api.beyondwords.io/v1/projects/{project_id}/player/by_playlist_id/{id}{
"language": "en_US",
"content": [
{
"id": "52acb1c0-9681-4138-9d74-1b7234f80922",
"title": "Content title",
"type": "manual_segment",
"body": "Body text for uploaded audio content",
"source_id": "example-source-id",
"source_url": "https://example.com/my-article",
"author": "John Smith",
"image_url": "https://example.com/image.jpeg",
"is_copy": false,
"language": "en_GB",
"audio": [
{
"id": 123,
"content_type": "audio/mpeg",
"url": "https://example.com/audio.mp3",
"duration": 10000
}
],
"video": [
{
"id": 456,
"content_type": "video/mp4",
"url": "https://example.com/video.mp4",
"duration": 10000
}
],
"audio_with_intro_outro": [
{
"id": 321,
"content_type": "audio/mpeg",
"url": "https://example.com/audio_with_intro_outro.mp3",
"duration": 12000
}
],
"summarization": {
"audio": [
{
"id": 789,
"content_type": "audio/mpeg",
"url": "https://example.com/summary_audio.mp3",
"duration": 5000
}
],
"video": [
{
"id": 790,
"content_type": "video/mp4",
"url": "https://example.com/summary_video.mp4",
"duration": 5000
}
]
},
"segments": [
{
"marker": "title-marker",
"start_time": 3,
"duration": 2997
},
{
"marker": "first-paragraph-marker",
"start_time": 3000,
"duration": 7000
}
],
"ads_enabled": true,
"title_voice_id": 1,
"summary_voice_id": 2,
"body_voice_id": 3,
"title_enabled": true,
"body_enabled": true,
"summary_enabled": true,
"summary_title_enabled": false,
"background_track": {
"enabled": true,
"track": {
"id": 12,
"name": "Morning Breeze",
"custom": false,
"volume": 35,
"url": "https://example.com/background-track.mp3"
}
},
"feature_image": {
"url": "https://example.com/feature-image.jpeg",
"video_settings": {
"enabled": true,
"crop_coordinates": {
"16:9": [
0,
0,
1920,
1080
],
"9:16": [
0,
0,
1080,
1920
]
}
}
},
"feature_video": {
"url": "https://example.com/feature-video.mp4",
"video_settings": {
"enabled": true,
"volume": 80,
"crop_coordinates": {
"16:9": [
0,
0,
1920,
1080
],
"9:16": [
0,
0,
1080,
1920
]
}
}
}
}
],
"settings": {
"player_style": "standard",
"player_title": "My project",
"call_to_action": "Listen to this article",
"image_url": "https://example.com/image.jpeg",
"theme": "auto",
"dark_theme": {
"text_color": "#323232",
"background_color": "#FAFAFA",
"icon_color": "#323232"
},
"light_theme": {
"text_color": "#323232",
"background_color": "#FAFAFA",
"icon_color": "#323232"
},
"video_theme": {
"text_color": "#323232",
"background_color": "#FAFAFA",
"icon_color": "#323232"
},
"title_enabled": false,
"image_enabled": false,
"persistent_ad_image": false,
"widget_style": "standard",
"widget_position": "auto",
"segment_playback_enabled": true,
"segment_highlights_enabled": true,
"skip_button_style": "seconds-15-30",
"intro_url": "https://example.com/intro.mp3",
"outro_url": "https://example.com/outro.mp3",
"intro_outro_enabled": false,
"download_button_enabled": false,
"logo_icon_enabled": true,
"continuous_playback_mode": "none"
},
"video_settings": {
"enabled": true,
"logo_image_url": "https://example.com/logo.png",
"logo_image_position": "top-right",
"background_color": "white",
"text_transform": "none",
"text_background_color": "rgba(255, 255, 255, 0.88)",
"text_background_radius": 8,
"text_color": "black",
"text_secondary_color": null,
"text_highlight_color": "#0cf",
"text_highlight_secondary_color": null,
"text_highlight_background_color": "linear-gradient(to right, pink, purple)",
"text_highlight_secondary_background_color": null,
"text_highlight_background_radius": 8,
"text_shadow": "3px 3px 3px linear-gradient(to right, red, blue)",
"text_highlight_shadow": null,
"text_stroke": "0px transparent outside",
"text_highlight_stroke": null,
"text_fonts": [
"https://example.com/my-custom-font.ttf",
"Inter-Medium.ttf",
"fallbacks"
],
"text_font_size": 64,
"text_width": 0.8,
"text_lines": null,
"text_words": null,
"text_horizontal_align": "start",
"text_vertical_align": "end",
"text_horizontal_offset": 0,
"text_vertical_offset": 0,
"text_animation": "karaoke",
"entrance_animation": "fade",
"exit_animation": "fade",
"waveform_color": "linear-gradient(to right, red, blue)",
"content_image_enabled": true,
"playback_mode": "cycle",
"cycle_time": 15000
},
"playlist": {
"id": 555,
"title": "My playlist",
"type": "manual",
"image_url": "https://example.com/image.jpeg",
"content_limit": 25
},
"ads": [
{
"id": 7,
"type": "custom",
"placement": "pre-roll",
"vast_url": null,
"title": "Ad title",
"click_through_url": "https://example.com/click-through-url",
"media_url": "https://example.com/advert.mp3",
"media": [
{
"id": 100,
"content_type": "audio/mpeg",
"url": "https://example.com/transcoded_advert.mp3",
"duration": 15000
}
],
"theme": null,
"dark_theme": null,
"light_theme": null
}
]
}